.cities-container {
  display: flex;
  flex-direction: column;
  align-self: center;
  padding: 2em 0;
  height: 100%;
  width: 95%;
}

.sort-buttons {
  display: flex;
  flex-direction: row;
  align-self: center;
  margin: 0.5rem;
}

.sub-sort-container {
  display: flex;
  flex-direction: column;
  padding: 1.5em 1em;
  background-color: #373f51;
  color: #ffffff;
  transition: background-color 0.25s;
  height: 90%;
  width: 25%;
  border-radius: 15px;
  min-width: 250px;
}

.sub-card-container {
  background-color: #a9bcd0;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
  padding: 1.5em 1em;
  overflow: auto;
  border-radius: 15px;
  height: 90%;
  flex-grow: 1;
}

@media screen and (max-width: 768px) {
  .cities-container {
    width: 100%;
  }

  .sub-content-container {
    flex-direction: column;
    align-items: center;
  }

  .sub-sort-container {
    min-width: 250px;
    max-width: 100%;
    width: 95%;
    margin-right: 0;
    margin-bottom: 1em;
  }

  .sub-card-container {
    padding: 0;
    overflow: visible;
    height: auto;
    width: 100%;
  }
}

@media screen and (min-width: 769px) {
  .sub-content-container {
    flex-direction: row;
    justify-content: space-between;
  }

  .sub-sort-container {
    min-width: 250px;
    max-width: 25%;
    width: 25%;
    margin-right: 1em;
  }

  .sub-card-container {
    padding: 1.5em 1em;
    overflow: auto;
    border-radius: 15px;
    height: 90%;
    width: 75%;
  }
}

.search-bar {
  margin-top: 10px;
  padding: 8px 12px;
  border-radius: 5px;
  border: 1px solid #ccc;
  background: #373f51;
  color: #cadaeb;
  font-size: 18px;
  width: 40%;
}

.search-bar:focus {
  outline: none;
  border-color: #cadaeb;
}

.search-bar::placeholder {
  color: #cadaeb;
}

@media (max-width: 992px) {
  .search-bar {
    width: 60%;
  }
}